com.buschmais.jqassistant.plugin.javaee6.api.scanner

## Enum WebApplicationScope

- java.lang.Object
- - java.lang.Enum<WebApplicationScope>
  - - com.buschmais.jqassistant.plugin.javaee6.api.scanner.WebApplicationScope

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.Scope, Serializable, Comparable<WebApplicationScope>

      public enum WebApplicationScope
      extends Enum<WebApplicationScope>
      implements com.buschmais.jqassistant.core.scanner.api.Scope

  Defines the scopes for Java web applications.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `WAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getPrefix()`
    `static WebApplicationScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebApplicationScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.scanner.api.Scope

      `create, destroy`

- - ### Enum Constant Detail

    - #### WAR

          public static final WebApplicationScope WAR

  - ### Method Detail

    - #### values

          public static WebApplicationScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebApplicationScope c : WebApplicationScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebApplicationScope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `com.buschmais.jqassistant.core.scanner.api.Scope`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `com.buschmais.jqassistant.core.scanner.api.Scope`

Copyright © 2015 buschmais GbR. All rights reserved.